#include "BuoyancyEngine.hpp"
#include "Logger.hpp"
#include <system_time.hpp>

BuoyancyEngine::BuoyancyEngine(std::string id, MC& motorCtrl, BellowsPosition& innerBel,
							   Platform_Controller& ctrl) :
	moduleID(id),
	motorController_(motorCtrl), innerBelPos_(innerBel), controller_(ctrl)
{
}

void BuoyancyEngine::logLine(std::string_view comment)
{
	Logger::logEngLine(ALWAYS, this->moduleID, comment);
}
